libzypp 17.37.10

CpeId.cc File Reference
`#include <iostream>`
`#include <array>`
`#include <zypp/base/String.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/CpeId.h>`

Go to the source code of this file.

## Classes
class | zypp::CpeId::Impl
| CpeId implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | WFN_ATTRIBUTES
| Initializer list with all wfn attributes.
#define | OUTS(N)
#define | WFN_STRICT_SPEC 0
| Symmetric attribute compare if wildcards are involved!

## Macro Definition Documentation

## ◆ WFN_ATTRIBUTES

#define WFN_ATTRIBUTES

Value:
{\
Attribute::part, \
Attribute::vendor, \
Attribute::product, \
Attribute::version, \
Attribute::update, \
Attribute::edition, \
Attribute::language, \
Attribute::sw_edition,\
Attribute::target_sw, \
Attribute::target_hw, \
Attribute::other, \
}

Initializer list with all wfn attributes.

Definition at line 23 of file CpeId.cc.

## ◆ OUTS

#define OUTS | ( |  | N | ) |

Value:
{ N, #N }

## ◆ WFN_STRICT_SPEC

#define WFN_STRICT_SPEC 0

Symmetric attribute compare if wildcards are involved!

The specs define any comarison with a wildcarded attribute as target to return `uncomparable:`

wildcardfree <=> wildcarded ==> uncomparable,
wildcarded <=> wildcardfree ==> superset or disjoint

But a symmetric result is much more intuitive:

wildcardfree <=> wildcarded ==> subset or disjoint
wildcarded <=> wildcardfree ==> superset or disjoint

Definition at line 933 of file CpeId.cc.